Skip to navigation

Update a file

Beta

Update a file. After you upload the file contents to S3, call this endpoint to mark the upload as SUCCEEDED. See Create a file for documentation of the full upload flow.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
The ID of the file

Request

This endpoint expects an object.
customFieldsmap from strings to objectsOptional
Custom field values to add to the file
folderIdstringOptional
ID of the folder that the file is moved into
uploadStatusenumOptional
Allowed values:

Response

OK
errorMessagestring or nullOptional
uploadStatusenumOptional
Allowed values:
archiveRecordobject or nullOptional
ArchiveRecord Resource if the file is archived. This is null if the file is not archived.
createdAtdatetimeOptionalRead-only
Date and time the file was created
creatorobjectOptional
UserSummary of the user who created the file
customFieldsmap from strings to objectsOptional
Custom field values of the file
displayIdstringOptionalRead-only

User-friendly ID of the file

filenamestringOptional
folderIdstringOptional
ID of the folder that contains the file
idstringOptional
modifiedAtdatetimeOptionalRead-only
Date and time the file was last modified
namestringOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error